Bug 993730 - dotconf possibly affected by F-20 unversioned docdir change
dotconf possibly affected by F-20 unversioned docdir change
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dotconf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 07:53 EDT by Ville Skyttä
Modified: 2013-12-21 18:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 18:33:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 07:53:48 EDT
dotconf was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Ville Skyttä 2013-08-08 06:17:04 EDT
A little explanation why something's not a bug would be welcome... anyway this is a bug, docs in -devel should be installed to /usr/share/doc/dotconf-devel, not /usr/share/doc/dotconf-devel-1.3.

Additionally, the -devel package owns the /usr/share/doc and everything in /usr/share/doc/dotconf dirs (duplicated with main package) which it shouldn't.

http://koji.fedoraproject.org/koji/rpminfo?rpmID=4238070
Comment 2 Fedora End Of Life 2013-09-16 12:52:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Michael Schwendt 2013-12-21 18:33:43 EST
Fixed in Rawhide via bug 1001258, leaving F20 to maintainers.

Note You need to log in before you can comment on or make changes to this bug.